#include "led.h"
//--------------------------------------------------------------
unsigned char n_count=0, R1=0, R2=0, R3=0, R4=0;
unsigned int num_gl;
//--------------------------------------------------------------
void segchar (unsigned int seg)
{
  switch (seg)
  {
    case 1:
      PORTB = 0b11111001;
      break;
    case 2:
      PORTB = 0b10100100;
      break;
    case 3:
      PORTB = 0b10110000;
      break;
    case 4:
      PORTB = 0b10011001;
      break;
    case 5:
      PORTB = 0b10010010;
      break;
    case 6:
      PORTB = 0b10000010;
      break;
    case 7:
      PORTB = 0b11111000;
      break;
    case 8:
      PORTB = 0b10000000;
      break;
    case 9:
      PORTB = 0b10010000;
      break;
    case 0:
      PORTB = 0b11000000;
      break;
  }
}
//--------------------------------------------------------------
void ledprint(unsigned int number)
{
  num_gl = number;
  R4 = number%10;
  R3 = number%100/10;
  R2 = number%1000/100;
  R1 = number/1000;
}
//--------------------------------------------
void TIM0_Callback(void)
{
  if(n_count==0)
  {
    PORTA &= ~0x08;
    segchar(R1);
    if(num_gl<1000) PORTB = 0xFF;
    PORTA |= 0x21;
  }
  else if(n_count==1)
  {
    PORTA &= ~0x01;
    segchar(R2);
    PORTB &= ~0x80;
    PORTA |= 0x22;
  }
  else if(n_count==2)
  {
    PORTA &= ~0x02;
    segchar(R3);
    PORTA |= 0x24;
  }
  else if(n_count==3)
  {
    PORTA &= ~0x04;
    segchar(R4);
    PORTA |= 0x28;
  }
  n_count++;
  if (n_count>3) n_count=0;
}
//--------------------------------------------
